Subject: bug#52330: Different processor architecture on Apple M1 CPU

From: Paul Eggert <[email-masked]>
Date: Tue, 7 Dec 2021 11:16:46 -0800

On 12/7/21 04:03, Jakub Sokołowski wrote:
> src/uname.c:170:41: error: unknown type name 'MAYBE_UNUSED'

I suspect you applied the patch to coreutils 9.0, which doesn't work. 
The patch needs to be applied to bleeding-edge coreutils built from Git 
<https://git.savannah.gnu.org/cgit/coreutils.git>.

To save you the work of building from Git, I generated a tarball that 
you should be able to just run './configure; make; src/uname -p' on:

https://www.cs.ucla.edu/~eggert/coreutils-9.0.37-202be.tar.xz

Please give it a try.